import * as __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__ from "react/jsx-runtime";
import "react";
import * as __WEBPACK_EXTERNAL_MODULE__testing_library_react__ from "@testing-library/react";
import * as __WEBPACK_EXTERNAL_MODULE__demos_demo1_mjs__ from "../demos/demo1.mjs";
describe('BlockItem', ()=>{
    it('should render correctly', ()=>{
        (0, __WEBPACK_EXTERNAL_MODULE__testing_library_react__.render)(/*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__.jsx)(__WEBPACK_EXTERNAL_MODULE__demos_demo1_mjs__["default"], {}));
        const items = document.querySelectorAll('.nc-block-item');
        expect(items.length).toBe(3);
        expect(items[0]).toHaveTextContent('Block block1');
        expect(items[1]).toHaveTextContent('Block block2');
        expect(items[2]).toHaveTextContent('Block block3');
    });
});
